{
    attributes = (
        {
            columnName = ANNEE; 
            externalType = NUMBER; 
            name = annee; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = "REPLACE(PERE,' ')"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "REPLACE(PERE,' ')"; }; 
            name = beauPere; 
            valueClassName = NSString; 
            width = 130; 
        }, 
        {
            columnName = CODE; 
            externalType = VARCHAR2; 
            name = code; 
            valueClassName = NSString; 
            width = 210; 
        }, 
        {
            columnName = DROIT; 
            externalType = NUMBER; 
            name = droit; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = KEY_CHAR; 
            externalType = VARCHAR2; 
            name = keyChar; 
            valueClassName = NSString; 
        }, 
        {
            columnName = KEY_INT; 
            externalType = NUMBER; 
            name = keyInt; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = LMD; 
            externalType = VARCHAR2; 
            name = lmd; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = NIVEAU; 
            externalType = NUMBER; 
            name = niveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERE; 
            externalType = VARCHAR2; 
            name = pere; 
            valueClassName = NSString; 
            width = 130; 
        }, 
        {
            allowsNull = Y; 
            columnName = VOCATION; 
            externalType = CHAR; 
            name = vocation; 
            valueClassName = NSString; 
            width = 7; 
        }
    ); 
    attributesUsedForLocking = (code, pere, annee, droit); 
    className = EOGenericRecord; 
    classProperties = (
        keyChar, 
        code, 
        libelle, 
        vocation, 
        pere, 
        beauPere, 
        lmd, 
        niveau, 
        annee, 
        droit, 
        keyInt
    ); 
    externalName = V_SCOL_UE_ARBRE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = V_SCOL_UE_ARBRE; }; 
    name = VScolUeArbre; 
    primaryKeyAttributes = (code, pere, annee, droit); 
}
